> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.sellercenter.pe/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.sellercenter.pe/_mcp/server.

# SKUs de un producto

GET https://inretailqa.mysellercenter.com/sellercenter/api/v1/products/{productId}/sku

Lista los SKUs de un producto con su estado de aprobación (`status`), precio y stock.

Reference: https://developers.sellercenter.pe/referencia-de-la-api/productos/skus-de-un-producto

## Authentication

- `Authorization` header (bearer token, required) — `accessToken` obtenido en **Login**. Dura 24 horas.

## Servers

- `https://inretailqa.mysellercenter.com/sellercenter/api/v1` (QA, default)
- `https://inretail.mysellercenter.com/sellercenter/api/v1` (PRD)

## Request

### Path parameters

- `productId` (string, required) — Id del producto.

## Response

### 200

SKUs

- `list of ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItems`

## Types

### ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItems

- `id` (string, optional)
- `productId` (string, optional)
- `skuName` (string, optional)
- `upc` (string, optional)
- `images` (list of ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsImagesItems, optional)
- `skuSpecifications` (list of ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsSkuSpecificationsItems, optional)
- `status` (string, optional)
- `inventory` (ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsInventory, optional)
- `price` (ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsPrice, optional)
- `dimension` (ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsDimension, optional)
- `creationDate` (string, optional)
- `approvalDate` (any, optional)
- `rejectionDate` (any, optional)
- `obsoleteDate` (any, optional)
- `marketplaceStatus` (list of ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsMarketplaceStatusItems, optional)

### ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsImagesItems

- `imageUrl` (string, optional)
- `oldImageUrl` (any, optional)

### ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsSkuSpecificationsItems

- `id` (string, optional)
- `name` (string, optional)
- `categoryIds` (list of string, optional)
- `isActive` (boolean, optional)
- `isStockKeepingUnit` (boolean, optional)
- `isRequired` (boolean, optional)
- `specificationFieldType` (ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsSkuSpecificationsItemsSpecificationFieldType, optional)
- `specificationFieldValues` (list of ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsSkuSpecificationsItemsSpecificationFieldValuesItems, optional)
- `description` (any, optional)
- `defaultValue` (any, optional)

### ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsInventory

- `totalQuantity` (double, optional)
- `reservedQuantity` (double, optional)

### ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsPrice

- `listPrice` (double, optional)
- `price` (double, optional)
- `priceValidUntil` (any, optional)
- `priceValidFrom` (any, optional)

### ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsDimension

- `cubicWeight` (double, optional)
- `height` (double, optional)
- `length` (double, optional)
- `weight` (double, optional)
- `width` (double, optional)

### ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsMarketplaceStatusItems

- `accountName` (string, optional)
- `status` (string, optional)

### ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsSkuSpecificationsItemsSpecificationFieldType

- `fieldTypeId` (double, optional)
- `fieldTypeName` (string, optional)

### ProductsProductIdSkuGetResponsesContentApplicationJsonSchemaItemsSkuSpecificationsItemsSpecificationFieldValuesItems

- `fieldValueId` (double, optional)
- `value` (string, optional)
- `isActive` (boolean, optional)

## Examples

**Response**

```json
[
  {
    "id": "1793043428985",
    "productId": "1793043428438",
    "skuName": "Zapatilla Prueba API QA Blanco 41",
    "upc": "434926251015",
    "images": [
      {
        "imageUrl": "https://qa.static.sellercenter.pe/images/products/jbQYtIqtP-bicicleta.jpg"
      }
    ],
    "skuSpecifications": [
      {
        "id": "_C2iOIYBb_b2EgO982tR",
        "name": "Color",
        "categoryIds": [
          "67bT9cx_aocfxtZO09te",
          "Ib-dMNRhJmE7CL7KmO76"
        ],
        "isActive": true,
        "isStockKeepingUnit": true,
        "isRequired": true,
        "specificationFieldType": {
          "fieldTypeId": 3,
          "fieldTypeName": "Combo"
        },
        "specificationFieldValues": [
          {
            "fieldValueId": 33,
            "value": "Blanco",
            "isActive": true
          }
        ]
      },
      {
        "id": "_i2iOIYBb_b2EgO982tR",
        "name": "Talla",
        "categoryIds": [
          "r3cn3JPhOJSkvlbSkVe4",
          "uMGweOKQbk5pgfNI5C3W"
        ],
        "isActive": true,
        "isStockKeepingUnit": true,
        "isRequired": true,
        "specificationFieldType": {
          "fieldTypeId": 3,
          "fieldTypeName": "Combo"
        },
        "specificationFieldValues": [
          {
            "fieldValueId": 6,
            "value": "41",
            "isActive": true
          }
        ]
      }
    ],
    "status": "PENDING_APPROVAL",
    "inventory": {
      "totalQuantity": 5,
      "reservedQuantity": 0
    },
    "price": {
      "listPrice": 299.9,
      "price": 299.9
    },
    "dimension": {
      "cubicWeight": 13125,
      "height": 15,
      "length": 35,
      "weight": 900,
      "width": 25
    },
    "creationDate": "2026-10-26T19:37:08",
    "marketplaceStatus": [
      {
        "accountName": "cord_oechsle",
        "status": "PENDING_APPROVAL"
      },
      {
        "accountName": "qaoechsle",
        "status": "PENDING_APPROVAL"
      }
    ]
  },
  {
    "id": "1793043429663",
    "productId": "1793043428438",
    "skuName": "Zapatilla Prueba API QA Negro 40",
    "upc": "434926251014",
    "images": [
      {
        "imageUrl": "https://qa.static.sellercenter.pe/images/products/jbQYtIqtP-bicicleta.jpg"
      }
    ],
    "skuSpecifications": [
      {
        "id": "_C2iOIYBb_b2EgO982tR",
        "name": "Color",
        "categoryIds": [
          "67bT9cx_aocfxtZO09te",
          "Ib-dMNRhJmE7CL7KmO76"
        ],
        "isActive": true,
        "isStockKeepingUnit": true,
        "isRequired": true,
        "specificationFieldType": {
          "fieldTypeId": 3,
          "fieldTypeName": "Combo"
        },
        "specificationFieldValues": [
          {
            "fieldValueId": 151,
            "value": "Negro",
            "isActive": true
          }
        ]
      },
      {
        "id": "_i2iOIYBb_b2EgO982tR",
        "name": "Talla",
        "categoryIds": [
          "r3cn3JPhOJSkvlbSkVe4",
          "uMGweOKQbk5pgfNI5C3W"
        ],
        "isActive": true,
        "isStockKeepingUnit": true,
        "isRequired": true,
        "specificationFieldType": {
          "fieldTypeId": 3,
          "fieldTypeName": "Combo"
        },
        "specificationFieldValues": [
          {
            "fieldValueId": 2,
            "value": "40",
            "isActive": true
          }
        ]
      }
    ],
    "status": "PENDING_APPROVAL",
    "inventory": {
      "totalQuantity": 5,
      "reservedQuantity": 0
    },
    "price": {
      "listPrice": 299.9,
      "price": 249.9,
      "priceValidUntil": "2026-11-30",
      "priceValidFrom": "2026-10-27"
    },
    "dimension": {
      "cubicWeight": 13125,
      "height": 15,
      "length": 35,
      "weight": 900,
      "width": 25
    },
    "creationDate": "2026-10-26T19:37:09",
    "marketplaceStatus": [
      {
        "accountName": "cord_oechsle",
        "status": "PENDING_APPROVAL"
      },
      {
        "accountName": "qaoechsle",
        "status": "PENDING_APPROVAL"
      }
    ]
  }
]
```

**SDK Code**

```python Productos_skusDeUnProducto_example
import requests

url = "https://inretailqa.mysellercenter.com/sellercenter/api/v1/products/1793043428438/sku"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Productos_skusDeUnProducto_example
const url = 'https://inretailqa.mysellercenter.com/sellercenter/api/v1/products/1793043428438/sku';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Productos_skusDeUnProducto_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://inretailqa.mysellercenter.com/sellercenter/api/v1/products/1793043428438/sku"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Productos_skusDeUnProducto_example
require 'uri'
require 'net/http'

url = URI("https://inretailqa.mysellercenter.com/sellercenter/api/v1/products/1793043428438/sku")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Productos_skusDeUnProducto_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://inretailqa.mysellercenter.com/sellercenter/api/v1/products/1793043428438/sku")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Productos_skusDeUnProducto_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://inretailqa.mysellercenter.com/sellercenter/api/v1/products/1793043428438/sku', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Productos_skusDeUnProducto_example
using RestSharp;

var client = new RestClient("https://inretailqa.mysellercenter.com/sellercenter/api/v1/products/1793043428438/sku");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Productos_skusDeUnProducto_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://inretailqa.mysellercenter.com/sellercenter/api/v1/products/1793043428438/sku")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```